Bug 127603 - executables compiled with -pie get labeled as shared object
Summary: executables compiled with -pie get labeled as shared object
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 127554
TreeView+ depends on / blocked
 
Reported: 2004-07-10 16:24 UTC by Nils Philippsen
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 17:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2004-07-10 16:24:13 UTC
SSIA:

nils@gibraltar:~> file /usr/sbin/pppd /var/tmp/ppp-root/usr/sbin/pppd
/usr/sbin/pppd:                  ELF 32-bit LSB executable, Intel
80386, version 1 (SYSV), for GNU/Linux 2.2.5, dynamically linked (uses
shared libs), stripped
/var/tmp/ppp-root/usr/sbin/pppd: ELF 32-bit LSB shared object, Intel
80386, version 1 (SYSV), stripped

the only difference is that the file beneath /var/tmp is compiled with
"-pie". This causes rpmbuild's find-provides to have the package "ppp"
provide "pppd" which conflicts with initscripts (conflicts with "pppd
< 2.3.9"). See bug #127554.

Comment 1 Jakub Jelinek 2004-07-10 16:54:49 UTC
That's what a PIE is (well, maybe file(1) could be taught about PIE,
in that case reassign to file component).
Anyway, I believe that current rpm already doesn't provide PIEs,
at least I've heard about something being done about it, dunno the
exact bug number though.

Comment 2 Matthew Miller 2004-07-10 16:56:49 UTC
bug #123697 (which isn't as clearly titled as this one.) 

Comment 3 Jeff Johnson 2004-07-28 21:13:49 UTC
file(1) needs to be taught about -pie. rpm already has the fix.

Comment 6 Matthew Miller 2005-04-26 16:40:17 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 7 John Thacker 2006-10-27 17:43:32 UTC
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  
If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.


Note You need to log in before you can comment on or make changes to this bug.